Bug 188094 - anaconda fails to parse URL-encoded password in ftp url
anaconda fails to parse URL-encoded password in ftp url
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 19:26 EDT by Eugene Kanter
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 16:51:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2006-04-05 19:26:19 EDT
Description of problem:

I specified non anonymous ftp url in my ks.cfg file as

url --url ftp://user:ei@server/path/to/rhel/

and installer worked fine.

At the end anaconda-ks.cfg contained URL encoded password:

url --url ftp://ekanter:%65%69@server//path/to/rhel/

also note double slash after server.

I atempted second install providing file created by the first install.

URL encoded password was not understood: I got a dialog box where I had to
reenter user name and password. After that install contined.

Version-Release number of selected component (if applicable):

RHELv4 Update 3
Comment 1 Chris Lumens 2006-04-12 16:51:48 EDT
We are no longer (as of FC5) writing out encoded passwords in the
anaconda-ks.cfg file, so this should no longer be a problem for you.  This will
be fixed in the next release of RHEL.  If you require this fix in an update
release, please talk to your support representative who will raise this issue
through the proper system.

Note You need to log in before you can comment on or make changes to this bug.